@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap');

body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden;
    overflow-y: scroll;
    justify-content: left;
    align-items: center;
    position: relative;

    /* -- background -- */
    background-image: url(assets/nothingsdot2.png);
    background-repeat: repeat;
    background-attachment: fixed;
    background-color: white;

    /* -- text -- */
    font-family: 'Space Mono', monospace;
    font-size: 0.7em;
    color: black;
    line-height: 1.3em;
}

/* -- defaults -- */

* {
    box-sizing: border-box;
}

ul {
    margin: 0;
    padding-left: 20px;
}

/* -- LANDING -- */

.grid-container {
    display: grid;
    grid-gap: 10px;
    padding-top: 200px;
    margin: 0 auto;
    width: 460px;
    position: relative;
    grid-template:
        "desc title"
        "desc menu"
        "changelogs menu"
        / 150px 1fr;
}

main { grid-area: desc; }
header { grid-area: title; }
aside { grid-area: changelogs; }
nav {grid-area: menu; }

main {
    background-color: rgba(255, 255, 255, 0.7);
    border: 1px dashed black;
    overflow-x: hidden;
    height: 320px;
    padding: 10px;
}

header {
    background-color: rgba(255, 255, 255, 0.7);
    border: 1px dashed black;
    overflow-x: hidden;
    overflow-y: hidden;
    height: 200px;
    position: relative;
}

header img {
    object-fit: cover;
    position: absolute;
    top: -150%;
    left: -100%;
    transform: scale(0.6);
}

aside {
    background-color: rgba(255, 255, 255, 0.7);
    border: 1px dashed black;
    overflow-x: hidden;
    height: 60px;
    padding: 10px;
}

nav {
    background-color: rgba(255, 255, 255, 0.7);
    border: 1px dashed black;
    overflow-x: hidden;
    overflow-y: hidden;
    height: 180px;
}

